Subject: TSQL Benchmark, deadline

From: "Christian S. Jensen" <[email-masked]>
Date: Mon, 17 May 1993 21:43:18 +0200

This is in reply to Rick's most recent message.

Rick writes:
> Christian, could you set a deadline for receipt of latex source for
> an author appendix to appear in the version distributed at the
> workshop?

I think June 7 is a good deadline. I will add all latex-source
appendices received by that date to the benchmark document.

I also find the idea of having such appendices to be excellent. With
this design, we each get a chance to formulate those of our own
insights, we want to be reflected in the next version of the
benchmark. The alternative of having an appointed committee do "data
mining" on the message log for tsql certainly seems less attractive.

Below is the status of Task 4, that of populating the classes with
queries.

Best regards,
Christian

                       Classes Available
                       *****************

						O1.S1 taken
			O1.S2
			O1.S3	
						O1.S4 taken
						O1.S5 taken
						O1.S6 taken
			O1.S7
			O1.S8		
			O1.S9		
			O1.S10

			O2.S1
			O2.S2
						O2.S3 taken
			O2.S4
			O2.S5
			O2.S6			
						O2.S7 taken
				O2.S8 taken
			O2.S9	
			O2.S10
	
						O3.S1 taken
						O3.S2 taken 
			O3.S3	
			O3.S4
						O3.S5 taken
			O3.S6		
			O3.S7
			O3.S8
						O3.S9 taken
						O3.S10 taken

                        Classes Taken
                        *************

Richard Snodgrass:
O3.S1 (Duration, Interval, Computed), returning both an explicit attribute(s)
	and a valid-time component
O3.S2 (Duration, Interval, Other), returning both.

Patrick P Kalua  &   Ed L Robertson:
O1.S1 (Duration, Interval, Computed) returning attr. values only
O2.S3 (Duration, Element, Computed) returning valid time only
O1.S4 (Duration, Element, Other)  returning attr. values only
O3.S5 (Other, Event, Computed) returning both attr. values and valid time

Fabio Grandi, Maria Rita Scalas, Paolo Tiberio:
O1.S5  (Other, Event, Computed) - only explicit-attibutes retrieved 
O1.S6  (Other, Event, Other) - only explicit-attibutes retrieved
O2.S7  (Other, Interval, Computed) - only valid-time retrieved
O2.S8  (Other, Interval, Other) - only valid-time retrieved
O3.S9  (Other, Element, Computed) - both retrieved
O3.S10 (Other, Element, Other) - both retrieved